Name:		yoshimi
Version:	1.5.1.1
Release:	%mkrel 2
Summary:	Real-time MIDI software synthesizer
License:	GPLv2+
Group:		Sound/Midi
URL:		http://yoshimi.sourceforge.net/
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
Patch1:		yoshimi-1.4.0.1-fix-permissions.patch
Patch2:		yoshimi-cflags.patch
Patch3:		yoshimi-1.5.1.1-desktop.patch

BuildRequires:	boost-devel
BuildRequires:	cairo-devel
BuildRequires:	cmake
BuildRequires:	fftw3-devel
BuildRequires:	fltk-devel
BuildRequires:	fontconfig-devel
BuildRequires:	libalsa-devel
BuildRequires:	libjack-devel
BuildRequires:	libmesaglu-devel
BuildRequires:	libsm-devel
BuildRequires:	lv2-devel
BuildRequires:	mxml-devel
BuildRequires:	readline-devel

%description
Yoshimi is a rewrite of ZynAddSubFx to improve its compatibility with
the Jack Audio Connection Kit.

Yoshimi is an open source software synthesizer capable of making a
countless number of instrument sounds. It is microtonal, and the instruments
made by it sounds like those from professional keyboards. The program has
effects like Reverb, Echo, Chorus, Phaser...

%prep
%setup -q
%autopatch -p1

%build
pushd src
%cmake \
	-DCMAKE_INSTALL_DATAROOTDIR=%{_datadir}
%make_build
popd

%install
%make_install -C src/build

%files
%doc %{_docdir}/%{name}/
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/pixmaps/%{name}.png
%{_iconsdir}/hicolor/*/apps/%{name}*.svg
%{_libdir}/lv2/yoshimi.lv2/
%{_mandir}/man1/%{name}.1.*


%changelog
* Wed Apr 26 2017 akien <akien> 1.5.1.1-2.mga6
+ Revision: 1097639
- Fix invalid desktop file
- Version 1.5.1.1

* Fri Dec 23 2016 daviddavid <daviddavid> 1.5.0-1.mga6
+ Revision: 1076653
- new version: 1.5.0

* Tue Sep 06 2016 daviddavid <daviddavid> 1.4.1-1.mga6
+ Revision: 1050239
- new version: 1.4.1

* Tue Jun 21 2016 daviddavid <daviddavid> 1.4.0.1-1.mga6
+ Revision: 1037133
- new version: 1.4.0.1
- remove merged upstream patches

* Thu Apr 28 2016 daviddavid <daviddavid> 1.3.9-3.mga6
+ Revision: 1007331
- rebuild for fixed fltk-devel

* Tue Mar 15 2016 daviddavid <daviddavid> 1.3.9-2.mga6
+ Revision: 990757
- rename and rediff patch1 and patch2 (since fixed autopatch)

* Sun Feb 28 2016 daviddavid <daviddavid> 1.3.9-1.mga6
+ Revision: 980496
- new version: 1.3.9

* Sun Jan 24 2016 daviddavid <daviddavid> 1.3.8.2-1.mga6
+ Revision: 926796
- new version: 1.3.8.2

* Sun Jan 17 2016 daviddavid <daviddavid> 1.3.8.1-1.mga6
+ Revision: 925030
- new version: 1.3.8.1

* Sat Jan 16 2016 daviddavid <daviddavid> 1.3.8-1.mga6
+ Revision: 923454
- new version: 1.3.8

* Tue Jan 05 2016 neoclust <neoclust> 1.3.7.1-3.mga6
+ Revision: 919843
- Fix build flags, allow to build on ARM

* Mon Nov 30 2015 neoclust <neoclust> 1.3.7.1-2.mga6
+ Revision: 907353
- Add -DCMAKE_CXX_FLAGS cmake directive

* Fri Nov 27 2015 daviddavid <daviddavid> 1.3.7.1-1.mga6
+ Revision: 906393
- new version: 1.3.7.1
- rename and rediff patch1 (fix-permissions)
- BR readline-devel
- update file list

* Sat Oct 10 2015 wally <wally> 1.3.6-1.mga6
+ Revision: 889314
- new version 1.3.6 (mga#16909)

* Wed Oct 15 2014 umeabot <umeabot> 1.2.1-3.mga6
+ Revision: 744155
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.1-2.mga5
+ Revision: 690839
- Mageia 5 Mass Rebuild

* Sat Jun 28 2014 pterjan <pterjan> 1.2.1-1.mga5
+ Revision: 640758
- Drop patch fixed upstream
- 1.2.1

* Tue Mar 18 2014 akien <akien> 1.2.0-1.mga5
+ Revision: 605114
- New version 1.2.0

* Thu Mar 13 2014 dams <dams> 1.1.0-1.mga5
+ Revision: 603128
- new version 1.1.0

* Sat Oct 19 2013 umeabot <umeabot> 0.060.12-4.mga4
+ Revision: 529653
- Mageia 4 Mass Rebuild

* Thu Jan 17 2013 pterjan <pterjan> 0.060.12-3.mga4
+ Revision: 389214
+ rebuild (emptylog)

* Mon Jan 14 2013 umeabot <umeabot> 0.060.12-3.mga3
+ Revision: 387590
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 malo <malo> 0.060.12-2.mga3
+ Revision: 324465
- fix build with gcc-4.7
- update RPM group

* Thu Jun 07 2012 solbu <solbu> 0.060.12-1.mga3
+ Revision: 256674
- New version
- spec cleanup

* Sun Dec 11 2011 eatdirt <eatdirt> 0.060.10-3.mga2
+ Revision: 180472
- Rebuilt for fftw-3.3

* Mon Jul 11 2011 fwang <fwang> 0.060.10-2.mga2
+ Revision: 122137
- more fix
- more patch to build with fltk1.3
- fix build with fltk 1.3
- rebuild for new fltk

* Sun May 01 2011 shikamaru <shikamaru> 0.060.10-1.mga1
+ Revision: 94130
- imported package yoshimi

